Users\pictures 6 endpoints

PATCH /me/pictures/{portraitset_id}

This method edits the specified portrait image belonging to the authenticated user.

operationId: UsersPictures_editPortraitImage

Parameters

Name In Required Type Description
portraitset_id path required number

The ID of the picture.

Request Body

application/vnd.vimeo.picture+json
schema UsersPicturesEditPortraitImageRequest
Property Type Required
active boolean optional

Responses

200

The portrait image was edited.

PATCH /me/pictures/{portraitset_id}
GET /users/{user_id}/pictures

This method returns every portrait image belonging to the authenticated user.

operationId: get_pictures

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The portrait images were returned.

GET /users/{user_id}/pictures
POST /users/{user_id}/pictures

This method adds a portrait image to the authenticated user’s Vimeo account. Send the binary data of the image file to the location that you receive
from the link field in the response. For step-by-step instructions, see
Working with Thumbnail Uploads.

operationId: create_picture

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

Responses

200

The portrait image was added.

POST /users/{user_id}/pictures
DELETE /users/{user_id}/pictures/{portraitset_id}

This method removes the specified portrait image from the authenticated user’s Vimeo account.

operationId: delete_picture

Parameters

Name In Required Type Description
portraitset_id path required number

The ID of the picture.

user_id path required number

The ID of the user.

Responses

204

The portrait image was removed.

DELETE /users/{user_id}/pictures/{portraitset_id}
GET /users/{user_id}/pictures/{portraitset_id}

This method returns a single portrait image belonging to the authenticated user.

operationId: get_picture

Parameters

Name In Required Type Description
portraitset_id path required number

The ID of the picture.

user_id path required number

The ID of the user.

Responses

200

The portrait image was returned.

GET /users/{user_id}/pictures/{portraitset_id}
PATCH /users/{user_id}/pictures/{portraitset_id}

This method edits the specified portrait image belonging to the authenticated user.

operationId: edit_picture

Parameters

Name In Required Type Description
portraitset_id path required number

The ID of the picture.

user_id path required number

The ID of the user.

Request Body

application/vnd.vimeo.picture+json
schema EditPictureRequest
Property Type Required
active boolean optional

Responses

200

The portrait image was edited.

PATCH /users/{user_id}/pictures/{portraitset_id}

Users\watchhistory 3 endpoints

DELETE /me/watched/videos

This method deletes the entire watch history of the authenticated user.

operationId: UsersWatchHistory_deleteEntireWatchHistory

Responses

204

The authenticated user’s watch history was deleted.

DELETE /me/watched/videos
GET /me/watched/videos

This method returns every video on the authenticated user’s watch history. This endpoint is deprecated. Any request to it returns empty data with HTTP status code 200.

operationId: UsersWatchHistory_getWatchedVideos

Parameters

Name In Required Type Description
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The videos were returned.

403

The authenticated user can’t view another user’s watch history.

GET /me/watched/videos
DELETE /me/watched/videos/{video_id}

This method deletes the specified video from the authenticated user’s watch history.

operationId: UsersWatchHistory_deleteSpecificVideo

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Responses

204

The video was deleted from the authenticated user’s watch history.

DELETE /me/watched/videos/{video_id}

Videos\animatedthumbnails 5 endpoints

GET /videos/{video_id}/animated_thumbsets

This method returns all the sets of animated thumbnails associated with the specified video. The authenticated user must be the owner of the video.

operationId: VideosAnimatedThumbnails_getAllSets

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The sets of animated thumbnails were returned.

404
  • Error code 5001: The authenticated user doesn’t own the video.
  • Error code 5017: No such set of animated thumbnails exists.
GET /videos/{video_id}/animated_thumbsets
POST /videos/{video_id}/animated_thumbsets

This method creates a set of animated thumbnails for the specified video. Please note that you can’t create more than four sets of animated thumbnails for the same video.

operationId: VideosAnimatedThumbnails_createSet

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Request Body

required
application/vnd.vimeo.animatedthumbnails+json
schema VideosAnimatedThumbnailsCreateSetRequest
Property Type Required
duration number required
start_time number optional

Responses

200

The set of animated thumbnails was created.

400
  • Error code 2204: A parameter is invalid.
  • Error code 3130: The video can’t have more than four sets of animated thumbnails.
403

The user can’t create a set of animated thumbnails from the specified section of the video.

429

The authenticated user is rate-limited from creating new animated thumbnails.

POST /videos/{video_id}/animated_thumbsets
DELETE /videos/{video_id}/animated_thumbsets/{picture_id}

This method deletes a set of animated thumbnails for the specified video.

operationId: VideosAnimatedThumbnails_deleteSet

Parameters

Name In Required Type Description
picture_id path required string

The UUID of the set of animated thumbnails.

video_id path required number

The ID of the video.

Responses

204

The set of animated thumbnails was deleted.

404
  • Error code 5001: The authenticated user doesn’t own the video.
  • Error code 5017: No such set of animated thumbnails exists.
DELETE /videos/{video_id}/animated_thumbsets/{picture_id}
GET /videos/{video_id}/animated_thumbsets/{picture_id}

This method returns a particular set of animated thumbnails associated with the specified video. The authenticated user must be the owner of the video.

operationId: VideosAnimatedThumbnails_specificSetGet

Parameters

Name In Required Type Description
picture_id path required string

The UUID of the set of animated thumbnails.

video_id path required number

The ID of the video.

Responses

200

The set of animated thumbnails was returned.

404
  • Error code 5001: The authenticated user doesn’t own the video.
  • Error code 5017: No such set of animated thumbnails exists.
GET /videos/{video_id}/animated_thumbsets/{picture_id}
GET /videos/{video_id}/animated_thumbsets/{picture_id}/status

This method returns the status of a particular set of animated thumbnails associated with the specified video. The status indicates whether the thumbnails are ready to use. The authenticated user must be the owner of the video.

operationId: VideosAnimatedThumbnails_getStatusOfSet

Parameters

Name In Required Type Description
picture_id path required string

The UUID of the set of animated thumbnails.

video_id path required number

The ID of the video.

Responses

200

The status of the set of animated thumbnails was returned.

404
  • Error code 5001: The authenticated user doesn’t own the video.
  • Error code 5017: No such set of animated thumbnails exists.
GET /videos/{video_id}/animated_thumbsets/{picture_id}/status

Videos\chapters 12 endpoints

GET /videos/{video_id}/chapters

This method returns every chapter of the specified video.

operationId: get_chapters

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The chapters were returned.

404

No such video exists.

GET /videos/{video_id}/chapters
POST /videos/{video_id}/chapters

This method adds a chapter to the specified video.

operationId: create_chapter

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Request Body

application/vnd.vimeo.video.chapter+json
schema CreateChapterRequest
Property Type Required
title string optional
timecode number optional
thumbnail_uris array optional
active_thumbnail_uri string optional

Responses

201

The chapter was added.

403
  • The authenticated user can’t add the chapter.
  • Error code 2204: The request contains errors.
POST /videos/{video_id}/chapters
POST /videos/{video_id}/chapters/temporary/pictures

This method generates either an upload link or a timecode-based thumbnail for an unsaved video chapter. To generate the upload link, which enables the authenticated user to upload a chapter thumbnail image manually, leave the body of the request empty. To generate an automatic timecode-based thumbnail, specify the timecode parameter in the body of the request.

operationId: VideosChapters_generateChapterThumbnail

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Request Body

application/json
schema VideosChaptersGenerateChapterThumbnailRequest
Property Type Required
timecode number optional

Responses

200

The upload link or chapter thumbnail was generated.

403
  • The authenticated user can’t perform this action.
  • Error code 2204: The request contains errors.
POST /videos/{video_id}/chapters/temporary/pictures
GET /videos/{video_id}/chapters/temporary/pictures/{uid}

This method returns the specified thumbnail associated with an unsaved video chapter.

operationId: VideosChapters_getSingleChapterThumbnail

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Responses

200

The chapter thumbnail was returned.

404
  • No such video or chapter exists.
  • Error code 5020: The specified chapter doesn’t exist.
  • Error code 5021: The specified chapter belongs to a different video.
GET /videos/{video_id}/chapters/temporary/pictures/{uid}
DELETE /videos/{video_id}/chapters/{chapter_id}

This method deletes the specified chapter from a video. The authenticated user must be the owner of the video.

operationId: delete_chapter

Parameters

Name In Required Type Description
chapter_id path required number

The ID of the chapter.

video_id path required number

The ID of the video.

Responses

204

The chapter was deleted.

404
  • No such video or chapter exists.
  • Error code 5020: The specified chapter doesn’t exist.
  • Error code 5021: The specified chapter belongs to a different video.
DELETE /videos/{video_id}/chapters/{chapter_id}
GET /videos/{video_id}/chapters/{chapter_id}

This method returns a single chapter of the specified video.

operationId: get_chapter

Parameters

Name In Required Type Description
chapter_id path required number

The ID of the chapter.

video_id path required number

The ID of the video.

Responses

200

The chapter was returned.

404
  • No such video or chapter exists.
  • Error code 5020: The specified chapter doesn’t exist.
  • Error code 5021: The specified chapter belongs to a different video.
GET /videos/{video_id}/chapters/{chapter_id}
PATCH /videos/{video_id}/chapters/{chapter_id}

This method edits the specified chapter of a video. The authenticated user must be the owner of the video.

operationId: edit_chapter

Parameters

Name In Required Type Description
chapter_id path required number

The ID of the chapter.

video_id path required number

The ID of the video.

Request Body

application/vnd.vimeo.video.chapter+json
schema EditChapterRequest
Property Type Required
title string optional
timecode number optional
active_thumbnail_uri string optional

Responses

200

The chapter was edited.

403

Error code 2204: There are errors in the request.

404
  • No such video or chapter exists.
  • Error code 5020: The specified chapter doesn’t exist.
  • Error code 5021: The specified chapter belongs to a different video.
PATCH /videos/{video_id}/chapters/{chapter_id}
GET /videos/{video_id}/chapters/{chapter_id}/pictures

This method returns every thumbnail associated with the specified saved video chapter.

operationId: VideosChapters_getChapterThumbnails

Parameters

Name In Required Type Description
chapter_id path required number

The ID of the chapter.

video_id path required number

The ID of the video.

Responses

200

The chapter thumbnails were returned.

403
  • The authenticated user can’t perform this action.
  • Error code 2204: The request contains errors.
GET /videos/{video_id}/chapters/{chapter_id}/pictures
POST /videos/{video_id}/chapters/{chapter_id}/pictures

This method generates either an upload link or a timecode-based thumbnail for the specified saved video chapter. To generate the upload link, which enables the authenticated user to upload a chapter thumbnail image manually, leave the body of the request empty. To generate an automatic timecode-based thumbnail, include the timecode parameter in the body of the request.

operationId: VideosChapters_generateChapterThumbnailOrUploadLink

Parameters

Name In Required Type Description
chapter_id path required number

The ID of the chapter.

video_id path required number

The ID of the video.

Request Body

application/json
schema VideosChaptersGenerateChapterThumbnailOrUploadLinkRequest
Property Type Required
timecode number optional

Responses

200

The chapter thumbnail or upload link was generated.

403
  • The authenticated user can’t perform this action.
  • Error code 2204: The request contains errors.
POST /videos/{video_id}/chapters/{chapter_id}/pictures
DELETE /videos/{video_id}/chapters/{chapter_id}/pictures/{uid}

This method deletes the specified chapter thumbnail from a video.

The authenticated user must be the owner of the video that the chapter belongs to.
This method deletes both timecode-generated and custom-uploaded thumbnails.

operationId: VideosChapters_deleteChapterThumbnail

Parameters

Name In Required Type Description
chapter_id path required number

The ID of the chapter.

uid path required string

The unique ID of the thumbnail.

video_id path required number

The ID of the video.

Responses

204

The chapter thumbnail was deleted.

404
  • No such video or chapter exists.
  • Error code 5020: The specified chapter doesn’t exist.
  • Error code 5021: The specified chapter belongs to a different video.
DELETE /videos/{video_id}/chapters/{chapter_id}/pictures/{uid}
GET /videos/{video_id}/chapters/{chapter_id}/pictures/{uid}

This method returns the specified thumbnail associated with a saved video chapter.

operationId: VideosChapters_getSingleChapterThumbnail

Parameters

Name In Required Type Description
chapter_id path required number

The ID of the chapter.

video_id path required number

The ID of the video.

Responses

200

The chapter thumbnail was returned.

404
  • No such video or chapter exists.
  • Error code 5020: The specified chapter doesn’t exist.
  • Error code 5021: The specified chapter belongs to a different video.
GET /videos/{video_id}/chapters/{chapter_id}/pictures/{uid}
PATCH /videos/{video_id}/chapters/{chapter_id}/pictures/{uid}

This method sets the specified chapter thumbnail for a video as active.

operationId: VideosChapters_setChapterThumbnailActive

Parameters

Name In Required Type Description
chapter_id path required number

The ID of the chapter.

video_id path required number

The ID of the video.

Request Body

application/json
schema VideosChaptersSetChapterThumbnailActiveRequest
Property Type Required
active boolean optional

Responses

200

The chapter thumbnail was set as active.

404
  • No such video or chapter exists.
  • Error code 5020: The specified chapter doesn’t exist.
  • Error code 5021: The specified chapter belongs to a different video.
PATCH /videos/{video_id}/chapters/{chapter_id}/pictures/{uid}

Videos\contentratings 1 endpoints

GET /contentratings

This method returns all available content ratings.

operationId: VideosContentRatings_getAllContentRatings

Responses

200

The content ratings were returned.

GET /contentratings

Videos\creativecommons 1 endpoints

GET /creativecommons

This method returns all available Creative Commons licenses.

operationId: VideosCreativeCommons_getAllCCLicenses

Parameters

Name In Required Type Description
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The Creative Commons licenses were returned.

GET /creativecommons

Videos\credits 8 endpoints

GET /channels/{channel_id}/videos/{video_id}/credits

This method returns every credited user in a video.

operationId: VideosCredits_getAllCreditedUsersInVideo

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

video_id path required number

The ID of the video.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date.

Responses

200

The credited users were returned.

GET /channels/{channel_id}/videos/{video_id}/credits
POST /channels/{channel_id}/videos/{video_id}/credits

This method adds a user credit to the specified video.

operationId: VideosCredits_addUserCreditInVideo

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

video_id path required number

The ID of the video.

Request Body

required
application/vnd.vimeo.credit+json
schema VideosCreditsAddUserCreditInVideoRequest
Property Type Required
name string required
role string required
email string required
user_uri string required

Responses

201

The credit was added.

400
  • A parameter is invalid.
  • The authenticated user has an unverified email address.
  • There is a user block between the video owner and the person receiving credit.
403

The authenticated user doesn’t own the video.

POST /channels/{channel_id}/videos/{video_id}/credits
GET /videos/{video_id}/credits

This method returns every credited user in a video.

operationId: VideosCredits_getAllCreditedUsersInVideo

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date.

Responses

200

The credited users were returned.

GET /videos/{video_id}/credits
POST /videos/{video_id}/credits

This method adds a user credit to the specified video.

operationId: VideosCredits_addUserCredit

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Request Body

required
application/vnd.vimeo.credit+json
schema VideosCreditsAddUserCreditRequest
Property Type Required
name string required
role string required
email string required
user_uri string required

Responses

201

The credit was added.

400
  • A parameter is invalid.
  • The authenticated user has an unverified email address.
  • There is a user block between the video owner and the person receiving credit.
403

The authenticated user doesn’t own the video.

POST /videos/{video_id}/credits
GET /videos/{video_id}/credits/available_users

This method returns the users who can be credited on the specified video.

operationId: available_users

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date followed.

Responses

200

The users who can be credited were returned.

GET /videos/{video_id}/credits/available_users
DELETE /videos/{video_id}/credits/{credit_id}

This method deletes the specified user credit from a video. The authenticated user must be the creator of the credit or the credited user.

operationId: VideosCredits_deleteUserCredit

Parameters

Name In Required Type Description
credit_id path required number

The ID of the credit.

video_id path required number

The ID of the video.

Responses

204

The credit was deleted.

400

The authenticated user isn’t the creator of the credit or the credited user.

DELETE /videos/{video_id}/credits/{credit_id}
GET /videos/{video_id}/credits/{credit_id}

This method returns a single credited user in a video.

operationId: VideosCredits_getSpecificCreditedUser

Parameters

Name In Required Type Description
credit_id path required number

The ID of the credit.

video_id path required number

The ID of the video.

Responses

200

The credit was returned.

404

No such video or credit exists.

GET /videos/{video_id}/credits/{credit_id}
PATCH /videos/{video_id}/credits/{credit_id}

This method edits the specified user credit in a video.

operationId: VideosCredits_editUserCreditInVideo

Parameters

Name In Required Type Description
credit_id path required number

The ID of the credit.

video_id path required number

The ID of the video.

Request Body

application/vnd.vimeo.credit+json
schema VideosCreditsEditUserCreditInVideoRequest
Property Type Required
name string optional
role string optional

Responses

200

The credit was edited.

400

A parameter is invalid.

404

No such video or credit exists.

PATCH /videos/{video_id}/credits/{credit_id}

Videos\embedprivacy 3 endpoints

GET /videos/{video_id}/privacy/domains

This method returns every domain on the specified video’s whitelist.

operationId: VideosEmbedPrivacy_listWhitelistDomains

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The domains were returned.

403

There are no domains on which the video can be embedded.

GET /videos/{video_id}/privacy/domains
DELETE /videos/{video_id}/privacy/domains/{domain}

This method removes the specified domain from a video’s whitelist.

operationId: VideosEmbedPrivacy_removeDomainFromWhitelist

Parameters

Name In Required Type Description
domain path required string

The domain name.

video_id path required number

The ID of the video.

Responses

204

The domain was removed.

403

The video’s embed privacy setting isn’t whitelist.

404

No such domain exists.

DELETE /videos/{video_id}/privacy/domains/{domain}
PUT /videos/{video_id}/privacy/domains/{domain}

This method adds the specified domain to a video’s whitelist.

operationId: VideosEmbedPrivacy_addDomainToWhitelist

Parameters

Name In Required Type Description
domain path required string

The domain name.

video_id path required number

The ID of the video.

Responses

204

The video is embeddable on the domain.

403

The video doesn’t have a user-defined access list.

PUT /videos/{video_id}/privacy/domains/{domain}

Videos\essentials 10 endpoints

GET /me/appearances

This method returns all the videos in which the authenticated user has a credited appearance.

operationId: VideosEssentials_getUserAppearances

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Return embeddable videos.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by date.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

GET /me/appearances
DELETE /me/videos

This method deletes one or more videos belonging to the specified user. The authenticated user must have permission to delete the videos.

Specify the videos to delete in a comma-separated list by URI using the uris query parameter.

operationId: VideosEssentials_deleteUserVideos

Parameters

Name In Required Type Description
uris query required string

A comma-separated list of the video URIs to delete.

Responses

204

The videos were deleted.

400
  • Error code 2204: The input is invalid.
  • Error code 3200: The authenticated user can’t delete one or more of the videos.
401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such video exists.

DELETE /me/videos
GET /me/videos

This method returns all the videos that the authenticated user has uploaded.

operationId: VideosEssentials_getAllUserVideos

Parameters

Name In Required Type Description
containing_uri query optional string

The page that contains the video URI. The field is available only when not paired with query.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • app_only - Return app-only videos.
  • embeddable - Return embeddable videos.
  • featured - Return featured videos.
  • live - Return only live videos.
  • no_placeholder - Return no placeholder videos.
  • nolive - Return no live videos.
  • playable - Return playable videos.
  • screen_recorded - Return screen-recorded videos.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

filter_playable query optional boolean

Whether to filter the results by playable videos (true) or non-playable videos (false).

filter_screen_recorded query optional boolean

Whether to filter the results by screen-recorded videos (true) or non-screen-recorded videos (false).

filter_tag query optional string

A comma-separated list of tags to filter on. All results must include at least one of these tags.

filter_tag_all_of query optional string

A comma-separated list of tags to filter on. All results must include all of these tags.

filter_tag_exclude query optional string

A comma-separated list of tags to exclude. All results must exclude all of these tags.

include_team_content query optional string

Whether to include content from the user’s teams when searching. This field is deprecated.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

query_fields query optional array

A comma-separated list of fields to query over. The default value is title,description,chapters,tags.

Option descriptions:

  • chapters - Query by chapter titles that have been added to the video.
  • description - Query by the description of the video.
  • tags - Query by tag names that have been added to the video.
  • title - Query by the title of the video.
sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically by title.
  • date - Sort the results by date.
  • default - Use the default sorting method.
  • duration - Sort the results by duration.
  • last_user_action_event_date - Sort the results by last user interaction. If a result hasn’t had an interaction, the upload date is used instead.
  • likes - Sort the results by number of likes. To use this option, direction must be desc.
  • modified_time - Sort the results by last modification.
  • plays - Sort the results by number of plays. To use this option, direction must be desc.

Responses

200

The videos were returned.

304

The authenticated user hasn’t uploaded any videos since the given If-Modified-Since header.

GET /me/videos
GET /me/videos/{video_id}

This method determines whether the authenticated user is the owner of the specified video.

operationId: VideosEssentials_checkUserOwnsVideo

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Responses

200

The authenticated user owns the video.

404

The authenticated user doesn’t own the video.

GET /me/videos/{video_id}
GET /users/{user_id}/appearances

This method returns all the videos in which the authenticated user has a credited appearance.

operationId: get_appearances

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Return embeddable videos.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by date.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

GET /users/{user_id}/appearances
DELETE /users/{user_id}/videos

This method deletes one or more videos belonging to the specified user. The authenticated user must have permission to delete the videos.

Specify the videos to delete in a comma-separated list by URI using the uris query parameter.

operationId: delete_videos

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

uris query required string

A comma-separated list of the video URIs to delete.

Responses

204

The videos were deleted.

400
  • Error code 2204: The input is invalid.
  • Error code 3200: The authenticated user can’t delete one or more of the videos.
401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such video exists.

DELETE /users/{user_id}/videos
GET /users/{user_id}/videos

This method returns all the videos that the authenticated user has uploaded.

operationId: get_videos

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

containing_uri query optional string

The page that contains the video URI. The field is available only when not paired with query.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • app_only - Return app-only videos.
  • embeddable - Return embeddable videos.
  • featured - Return featured videos.
  • live - Return only live videos.
  • no_placeholder - Return no placeholder videos.
  • nolive - Return no live videos.
  • playable - Return playable videos.
  • screen_recorded - Return screen-recorded videos.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

filter_playable query optional boolean

Whether to filter the results by playable videos (true) or non-playable videos (false).

filter_screen_recorded query optional boolean

Whether to filter the results by screen-recorded videos (true) or non-screen-recorded videos (false).

filter_tag query optional string

A comma-separated list of tags to filter on. All results must include at least one of these tags.

filter_tag_all_of query optional string

A comma-separated list of tags to filter on. All results must include all of these tags.

filter_tag_exclude query optional string

A comma-separated list of tags to exclude. All results must exclude all of these tags.

include_team_content query optional string

Whether to include content from the user’s teams when searching. This field is deprecated.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

query_fields query optional array

A comma-separated list of fields to query over. The default value is title,description,chapters,tags.

Option descriptions:

  • chapters - Query by chapter titles that have been added to the video.
  • description - Query by the description of the video.
  • tags - Query by tag names that have been added to the video.
  • title - Query by the title of the video.
sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically by title.
  • date - Sort the results by date.
  • default - Use the default sorting method.
  • duration - Sort the results by duration.
  • last_user_action_event_date - Sort the results by last user interaction. If a result hasn’t had an interaction, the upload date is used instead.
  • likes - Sort the results by number of likes. To use this option, direction must be desc.
  • modified_time - Sort the results by last modification.
  • plays - Sort the results by number of plays. To use this option, direction must be desc.

Responses

200

The videos were returned.

304

The authenticated user hasn’t uploaded any videos since the given If-Modified-Since header.

GET /users/{user_id}/videos
GET /users/{user_id}/videos/{video_id}

This method determines whether the authenticated user is the owner of the specified video.

operationId: VideosEssentials_checkUserOwnership

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

200

The authenticated user owns the video.

404

The authenticated user doesn’t own the video.

GET /users/{user_id}/videos/{video_id}
GET /videos

This method returns all the videos that match custom search criteria.

operationId: search_videos

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results. CC and related filters target videos with the corresponding Creative Commons licenses. For more information, see our Creative Commons page.

Option descriptions:

  • CC - Return videos under any Creative Commons license.
  • CC-BY - Return CC BY, or attribution-only, videos.
  • CC-BY-NC - Return CC BY-NC, or Attribution-NonCommercial, videos.
  • CC-BY-NC-ND - Return CC BY-NC-ND, or Attribution-NonCommercial-NoDerivs, videos.
  • CC-BY-NC-SA - Return CC BY-NC-SA, or Attribution-NonCommercial-ShareAlike, videos.
  • CC-BY-ND - Return CC BY-ND, or Attribution-NoDerivs, videos.
  • CC-BY-SA - Return CC BY-SA, or Attribution-ShareAlike, videos.
  • CC0 - Return CC0, or public domain, videos.
  • categories - Filter by categories.
  • duration - Filter by duration.
  • in-progress - Return in-progress videos.
  • minimum_likes - Filter by minimum likes.
  • trending - Return trending videos.
  • upload_date - Filter by upload date.
links query optional string

A comma-separated list of video URLs to find. Querying, filtering, and sorting aren’t supported when using this field.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by date.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • plays - Sort the results by number of plays.
  • relevant - Sort the results by relevance.
uris query optional string

A comma-separated list of video URIs to find. Querying, filtering, and sorting aren’t supported when using this field.

Responses

200

The search results were returned.

400
  • Error code 2101: Either the uris or links parameter has filtering or sorting arguments.
  • Error code 2204: A problem occurred with the batch request.
503
  • Search is disabled.
  • Error code 7300: An internal search error occurred.
GET /videos
DELETE /videos/{video_id}

This method deletes the specified video. The authenticated user must be the owner of the video.

operationId: delete_video

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Responses

204

The video was deleted.

403

The authenticated user can’t delete the video.

DELETE /videos/{video_id}
Load more endpoints